com.aventstack.extentreports.model

## Class Test

- java.lang.Object
- - com.aventstack.extentreports.model.Test

- All Implemented Interfaces:
    BasicMongoReportElement, RunResult, Serializable

      public class Test
      extends Object
      implements BasicMongoReportElement, RunResult, Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Test()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `end()`
    `TestAttribute` | `getAuthor(Integer index)`
    `AbstractStructure<TestAttribute>` | `getAuthorContext()`
    `Class<? extends IGherkinFormatterModel>` | `getBehaviorDrivenType()`
    `TestAttribute` | `getCategory(Integer index)`
    `AbstractStructure<TestAttribute>` | `getCategoryContext()`
    `String` | `getDescription()`
    `TestAttribute` | `getDevice(Integer index)`
    `AbstractStructure<TestAttribute>` | `getDeviceContext()`
    `Date` | `getEndTime()`
    `List<ExceptionInfo>` | `getExceptionInfoList()`
    `ExtentReports` | `getExtentInstance()`
    `String` | `getHierarchicalName()`
    `int` | `getID()`
    `int` | `getLevel()`
    `AbstractStructure<Log>` | `getLogContext()`
    `String` | `getName()`
    `AbstractStructure<Test>` | `getNodeContext()`
    `org.bson.types.ObjectId` | `getObjectId()`
    `Test` | `getParent()`
    `String` | `getRunDuration()`
    `Long` | `getRunDurationMillis()`
    `List<ScreenCapture>` | `getScreenCaptureList()`
    `List<Screencast>` | `getScreencastList()`
    `Date` | `getStartTime()`
    `Status` | `getStatus()`
    `boolean` | `hasAuthor()`
    `boolean` | `hasCategory()`
    `boolean` | `hasCategory(String name)`
    `boolean` | `hasCategoryNode(String name)`
    `boolean` | `hasChildren()`
    `boolean` | `hasDevice()`
    `boolean` | `hasEnded()`
    `boolean` | `hasException()`
    `boolean` | `hasLog()`
    `boolean` | `hasMedia()`
    `Boolean` | `hasScreenCapture()`
    `boolean` | `isBehaviorDrivenType()`
    `boolean` | `isChildNode()`
    `void` | `setAuthor(TestAttribute author)`
    `void` | `setBehaviorDrivenType(Class<? extends IGherkinFormatterModel> type)`
    `void` | `setBehaviorDrivenType(IGherkinFormatterModel type)`
    `void` | `setCategory(TestAttribute category)`
    `void` | `setDescription(String description)`
    `void` | `setDevice(TestAttribute device)`
    `void` | `setEndTime(Date endTime)`
    `void` | `setExceptionInfo(ExceptionInfo exceptionInfo)`
    `void` | `setExtentInstance(ExtentReports extent)`
    `void` | `setLevel(int level)`
    `void` | `setName(String name)`
    `void` | `setObjectId(org.bson.types.ObjectId id)`
    `void` | `setParent(Test parent)`
    `void` | `setScreenCapture(ScreenCapture screenCapture)`
    `void` | `setScreencast(Screencast screencast)`
    `void` | `setStartTime(Date startTime)`
    `void` | `setStatus(Status status)`
    `void` | `setUseManualConfiguration(boolean b)`
    `void` | `trackLastRunStatus()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Test

          public Test()

  - ### Method Detail

    - #### setUseManualConfiguration

          public void setUseManualConfiguration(boolean b)

    - #### getExtentInstance

          public ExtentReports getExtentInstance()

    - #### setExtentInstance

          public void setExtentInstance(ExtentReports extent)

    - #### isChildNode

          public boolean isChildNode()

    - #### getLevel

          public int getLevel()

    - #### setLevel

          public void setLevel(int level)

    - #### setParent

          public void setParent(Test parent)

    - #### getParent

          public Test getParent()

    - #### getNodeContext

          public AbstractStructure<Test> getNodeContext()

    - #### hasChildren

          public boolean hasChildren()

    - #### setStartTime

          public void setStartTime(Date startTime)

    - #### getStartTime

          public Date getStartTime()

    - #### setEndTime

          public void setEndTime(Date endTime)

    - #### getEndTime

          public Date getEndTime()

    - #### hasEnded

          public boolean hasEnded()

    - #### getRunDuration

          public String getRunDuration()

    - #### getRunDurationMillis

          public Long getRunDurationMillis()

    - #### setStatus

          public void setStatus(Status status)

    - #### getStatus

          public Status getStatus()

      Specified by:
        `getStatus` in interface `RunResult`

    - #### trackLastRunStatus

          public void trackLastRunStatus()

    - #### end

          public void end()

    - #### getLogContext

          public AbstractStructure<Log> getLogContext()

    - #### hasLog

          public boolean hasLog()

    - #### setDescription

          public void setDescription(String description)

    - #### getDescription

          public String getDescription()

    - #### setName

          public void setName(String name)

    - #### getName

          public String getName()

    - #### getHierarchicalName

          public String getHierarchicalName()

    - #### getCategoryContext

          public AbstractStructure<TestAttribute> getCategoryContext()

    - #### hasCategory

          public boolean hasCategory(String name)

    - #### hasCategoryNode

          public boolean hasCategoryNode(String name)

    - #### hasCategory

          public boolean hasCategory()

    - #### setCategory

          public void setCategory(TestAttribute category)

    - #### getCategory

          public TestAttribute getCategory(Integer index)

    - #### getAuthorContext

          public AbstractStructure<TestAttribute> getAuthorContext()

    - #### hasAuthor

          public boolean hasAuthor()

    - #### setAuthor

          public void setAuthor(TestAttribute author)

    - #### getAuthor

          public TestAttribute getAuthor(Integer index)

    - #### getDeviceContext

          public AbstractStructure<TestAttribute> getDeviceContext()

    - #### hasDevice

          public boolean hasDevice()

    - #### setDevice

          public void setDevice(TestAttribute device)

    - #### getDevice

          public TestAttribute getDevice(Integer index)

    - #### setExceptionInfo

          public void setExceptionInfo(ExceptionInfo exceptionInfo)

    - #### getExceptionInfoList

          public List<ExceptionInfo> getExceptionInfoList()

    - #### hasException

          public boolean hasException()

    - #### hasMedia

          public boolean hasMedia()

    - #### setScreenCapture

          public void setScreenCapture(ScreenCapture screenCapture)

    - #### getScreenCaptureList

          public List<ScreenCapture> getScreenCaptureList()

    - #### hasScreenCapture

          public Boolean hasScreenCapture()

    - #### setScreencast

          public void setScreencast(Screencast screencast)

    - #### getScreencastList

          public List<Screencast> getScreencastList()

    - #### isBehaviorDrivenType

          public boolean isBehaviorDrivenType()

    - #### setBehaviorDrivenType

          public void setBehaviorDrivenType(IGherkinFormatterModel type)

    - #### setBehaviorDrivenType

          public void setBehaviorDrivenType(Class<? extends IGherkinFormatterModel> type)

    - #### getBehaviorDrivenType

          public Class<? extends IGherkinFormatterModel> getBehaviorDrivenType()

    - #### getID

          public int getID()

    - #### setObjectId

          public void setObjectId(org.bson.types.ObjectId id)

      Specified by:
        `setObjectId` in interface `BasicMongoReportElement`

    - #### getObjectId

          public org.bson.types.ObjectId getObjectId()

      Specified by:
        `getObjectId` in interface `BasicMongoReportElement`

Copyright © 2018. All rights reserved.